Bug 170176 - inline-block baseline not computed correctly for vertical-lr
Summary: inline-block baseline not computed correctly for vertical-lr
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Javier Fernandez
URL:
Keywords: InRadar
Depends on:
Blocks: 145566
  Show dependency treegraph
 
Reported: 2017-03-28 05:56 PDT by Javier Fernandez
Modified: 2018-02-01 11:08 PST (History)
15 users (show)

See Also:


Attachments
Test case to reproduce the issue (2.70 KB, text/html)
2017-03-28 05:56 PDT, Javier Fernandez
no flags Details
Patch (36.14 KB, patch)
2017-03-28 06:30 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-elcapitan (1.18 MB, application/zip)
2017-03-28 07:36 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-elcapitan-wk2 (1.09 MB, application/zip)
2017-03-28 07:40 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-elcapitan (1.93 MB, application/zip)
2017-03-28 07:43 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (13.92 MB, application/zip)
2017-03-28 09:40 PDT, Build Bot
no flags Details
Patch (206.20 KB, patch)
2017-03-29 07:59 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-elcapitan (1.14 MB, application/zip)
2017-03-29 09:05 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-elcapitan-wk2 (1.18 MB, application/zip)
2017-03-29 09:08 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-elcapitan (1.94 MB, application/zip)
2017-03-29 09:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (954.75 KB, application/zip)
2017-03-29 09:30 PDT, Build Bot
no flags Details
Patch (320.04 KB, patch)
2017-03-29 14:10 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-elcapitan (974.55 KB, application/zip)
2017-03-29 14:50 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-elcapitan-wk2 (1.04 MB, application/zip)
2017-03-29 15:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-elcapitan (1.62 MB, application/zip)
2017-03-29 15:21 PDT, Build Bot
no flags Details
Patch (342.39 KB, patch)
2017-03-29 15:38 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (1.20 MB, application/zip)
2017-03-29 17:11 PDT, Build Bot
no flags Details
Patch (700.43 KB, patch)
2017-03-30 13:20 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (545.49 KB, patch)
2017-03-30 15:22 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews121 for ios-simulator-wk2 (986.24 KB, application/zip)
2017-03-30 16:54 PDT, Build Bot
no flags Details
Patch (709.47 KB, patch)
2017-03-31 14:24 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (43.88 KB, patch)
2017-12-11 06:19 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-elcapitan (2.88 MB, application/zip)
2017-12-11 07:15 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (3.29 MB, application/zip)
2017-12-11 07:27 PST, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (3.53 MB, application/zip)
2017-12-11 07:43 PST, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-elcapitan (3.62 MB, application/zip)
2017-12-11 07:55 PST, Build Bot
no flags Details
Patch (527.97 KB, patch)
2017-12-11 16:12 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.52 MB, application/zip)
2017-12-11 17:38 PST, Build Bot
no flags Details
Patch (532.28 KB, patch)
2018-01-10 06:45 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.36 MB, application/zip)
2018-01-10 08:12 PST, Build Bot
no flags Details
Archive of layout-test-results from ews100 for mac-sierra (2.46 MB, application/zip)
2018-01-10 14:06 PST, Build Bot
no flags Details
Patch (533.22 KB, patch)
2018-01-15 14:44 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (534.61 KB, patch)
2018-01-31 05:14 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (534.51 KB, patch)
2018-01-31 06:31 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (534.51 KB, patch)
2018-01-31 09:36 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews202 for win-future (11.68 MB, application/zip)
2018-01-31 11:57 PST, Build Bot
no flags Details
Patch (535.59 KB, patch)
2018-01-31 12:39 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Fernandez 2017-03-28 05:56:13 PDT
Created attachment 305586 [details]
Test case to reproduce the issue

A vertical-lr block with inline-block children does not compute correctly their baseline so they can be alignment properly.
This issue is not present when using other writing-modes

Attached a file with several test cases to reproduce the issue using different writing-modes and direction.
Comment 1 Javier Fernandez 2017-03-28 05:59:33 PDT
This bug has been already FIXED in Blink, see the patch at the following CL: 

https://codereview.chromium.org/2523573003/

I'll try to port the same solution in WebKit.
Comment 2 Javier Fernandez 2017-03-28 06:30:29 PDT
Created attachment 305588 [details]
Patch
Comment 3 Build Bot 2017-03-28 07:36:35 PDT
Comment on attachment 305588 [details]
Patch

Attachment 305588 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3427041

New failing tests:
fast/writing-mode/border-styles-vertical-lr.html
fast/text/emphasis-avoid-ruby.html
fast/text/emphasis-overlap.html
fast/backgrounds/background-leakage-transforms.html
fast/inline-block/baseline-vertical.html
Comment 4 Build Bot 2017-03-28 07:36:38 PDT
Created attachment 305591 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 5 Build Bot 2017-03-28 07:40:22 PDT
Comment on attachment 305588 [details]
Patch

Attachment 305588 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3427042

New failing tests:
fast/inline-block/baseline-vertical.html
fast/text/emphasis-avoid-ruby.html
fast/text/emphasis-overlap.html
fast/backgrounds/background-leakage-transforms.html
fast/writing-mode/border-styles-vertical-lr.html
Comment 6 Build Bot 2017-03-28 07:40:26 PDT
Created attachment 305592 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 7 Build Bot 2017-03-28 07:43:52 PDT
Comment on attachment 305588 [details]
Patch

Attachment 305588 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3427038

New failing tests:
fast/writing-mode/border-styles-vertical-lr.html
fast/text/emphasis-avoid-ruby.html
fast/text/emphasis-overlap.html
fast/backgrounds/background-leakage-transforms.html
fast/inline-block/baseline-vertical.html
Comment 8 Build Bot 2017-03-28 07:43:56 PDT
Created attachment 305593 [details]
Archive of layout-test-results from ews113 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 9 Build Bot 2017-03-28 09:40:31 PDT
Comment on attachment 305588 [details]
Patch

Attachment 305588 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3427430

New failing tests:
fast/writing-mode/border-styles-vertical-lr.html
fast/inline-block/baseline-vertical.html
fast/backgrounds/background-leakage-transforms.html
Comment 10 Build Bot 2017-03-28 09:40:34 PDT
Created attachment 305598 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 11 Javier Fernandez 2017-03-29 07:59:01 PDT
Created attachment 305734 [details]
Patch
Comment 12 Build Bot 2017-03-29 09:05:13 PDT
Comment on attachment 305734 [details]
Patch

Attachment 305734 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3434084

New failing tests:
fast/writing-mode/border-styles-vertical-lr.html
fast/text/emphasis-avoid-ruby.html
fast/text/emphasis-overlap.html
fast/backgrounds/background-leakage-transforms.html
fast/inline-block/baseline-vertical.html
Comment 13 Build Bot 2017-03-29 09:05:16 PDT
Created attachment 305738 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 14 Build Bot 2017-03-29 09:08:36 PDT
Comment on attachment 305734 [details]
Patch

Attachment 305734 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3434089

New failing tests:
fast/inline-block/baseline-vertical.html
fast/text/emphasis-avoid-ruby.html
fast/text/emphasis-overlap.html
fast/backgrounds/background-leakage-transforms.html
fast/writing-mode/border-styles-vertical-lr.html
Comment 15 Build Bot 2017-03-29 09:08:38 PDT
Created attachment 305741 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 16 Build Bot 2017-03-29 09:15:43 PDT
Comment on attachment 305734 [details]
Patch

Attachment 305734 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3434086

New failing tests:
fast/writing-mode/border-styles-vertical-lr.html
fast/text/emphasis-avoid-ruby.html
fast/text/emphasis-overlap.html
fast/backgrounds/background-leakage-transforms.html
fast/inline-block/baseline-vertical.html
Comment 17 Build Bot 2017-03-29 09:15:45 PDT
Created attachment 305744 [details]
Archive of layout-test-results from ews115 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 18 Build Bot 2017-03-29 09:30:06 PDT
Comment on attachment 305734 [details]
Patch

Attachment 305734 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3434099

New failing tests:
fast/inline-block/baseline-vertical.html
Comment 19 Build Bot 2017-03-29 09:30:09 PDT
Created attachment 305748 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 20 Javier Fernandez 2017-03-29 14:10:47 PDT
Created attachment 305785 [details]
Patch
Comment 21 Build Bot 2017-03-29 14:50:02 PDT
Comment on attachment 305785 [details]
Patch

Attachment 305785 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3435858

New failing tests:
fast/inline-block/baseline-vertical.html
Comment 22 Build Bot 2017-03-29 14:50:05 PDT
Created attachment 305797 [details]
Archive of layout-test-results from ews102 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 23 Build Bot 2017-03-29 15:15:28 PDT
Comment on attachment 305785 [details]
Patch

Attachment 305785 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3435991

New failing tests:
fast/inline-block/baseline-vertical.html
Comment 24 Build Bot 2017-03-29 15:15:31 PDT
Created attachment 305799 [details]
Archive of layout-test-results from ews107 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 25 Build Bot 2017-03-29 15:21:54 PDT
Comment on attachment 305785 [details]
Patch

Attachment 305785 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3435970

New failing tests:
fast/inline-block/baseline-vertical.html
Comment 26 Build Bot 2017-03-29 15:21:57 PDT
Created attachment 305800 [details]
Archive of layout-test-results from ews115 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 27 Javier Fernandez 2017-03-29 15:38:33 PDT
Created attachment 305802 [details]
Patch
Comment 28 Build Bot 2017-03-29 17:10:59 PDT
Comment on attachment 305802 [details]
Patch

Attachment 305802 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3436394

New failing tests:
fast/writing-mode/border-styles-vertical-lr.html
fast/inline-block/baseline-vertical.html
fast/backgrounds/background-leakage-transforms.html
Comment 29 Build Bot 2017-03-29 17:11:02 PDT
Created attachment 305810 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 30 Javier Fernandez 2017-03-30 13:20:50 PDT
Created attachment 305887 [details]
Patch
Comment 31 Javier Fernandez 2017-03-30 15:22:48 PDT
Created attachment 305913 [details]
Patch
Comment 32 Build Bot 2017-03-30 16:54:23 PDT
Comment on attachment 305913 [details]
Patch

Attachment 305913 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3443354

New failing tests:
fast/inline-block/baseline-vertical.html
Comment 33 Build Bot 2017-03-30 16:54:25 PDT
Created attachment 305925 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 34 Javier Fernandez 2017-03-31 14:24:02 PDT
Created attachment 306011 [details]
Patch
Comment 35 Javier Fernandez 2017-08-11 14:21:41 PDT
@dhyatt, could you please take a look ?
Comment 36 Javier Fernandez 2017-08-23 12:40:06 PDT
Gentle ping, reviewers.
Comment 37 Jon Lee 2017-08-30 11:28:55 PDT
(In reply to Javier Fernandez from comment #36)
> Gentle ping, reviewers.

Is the latest patch the one for review? It doesn't have the right flags on it, so I don't think anyone saw it. Given how long it's been, it also may require a rebaseline.
Comment 38 Javier Fernandez 2017-09-06 16:16:11 PDT
(In reply to Jon Lee from comment #37)
> (In reply to Javier Fernandez from comment #36)
> > Gentle ping, reviewers.
> 
> Is the latest patch the one for review? It doesn't have the right flags on
> it, so I don't think anyone saw it. Given how long it's been, it also may
> require a rebaseline.

Yes, it is. Sorry about the missing review flag :(
Comment 39 Javier Fernandez 2017-10-24 01:44:56 PDT
@zalan @hyatt, could you please provide some feedback on this patch ? Thanks
Comment 40 Antti Koivisto 2017-11-14 17:29:40 PST
Comment on attachment 306011 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=306011&action=review

Zalan/Hyatt should review.

> LayoutTests/fast/inline-block/baseline-vertical-expected.txt:4
> +layer at (0,0) size 800x600
> +  RenderView at (0,0) size 800x600
> +layer at (0,0) size 800x503
> +  RenderBlock {HTML} at (0,0) size 800x504

Can you make a refest instead? Render tree dumps are fragile and annoying.
Comment 41 Antti Koivisto 2017-11-14 17:31:04 PST
*reftest
Comment 42 Javier Fernandez 2017-11-16 07:00:37 PST
(In reply to Antti Koivisto from comment #40)
> Comment on attachment 306011 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=306011&action=review
> 
> Zalan/Hyatt should review.

Yes, I supposed it.

> 
> > LayoutTests/fast/inline-block/baseline-vertical-expected.txt:4
> > +layer at (0,0) size 800x600
> > +  RenderView at (0,0) size 800x600
> > +layer at (0,0) size 800x503
> > +  RenderBlock {HTML} at (0,0) size 800x504
> 
> Can you make a refest instead? Render tree dumps are fragile and annoying.

Well, I don't like at all the tree dumps and image tests. However, for this baseline alignment cases I wasn't able to make a valid reference tests. Many of these baseline tests are implemented using tree dumps as well. In some cases they use flexbox vs block to define reference tests, but in this case both layouts use the same code, so we wouldn't notice regressions. 

The problem with baseline test is that it highly depends on the font family and size. I could have used 'ahem' but then it'd use a different baseline (central if I remember correctly) so we don't verify completely the changes applied in the code.

I thought about using absolute positioned for the reference tests, but as I said, it may fail because of different font family and size when running it in different platforms.

If anybody has an idea, I'd be happy to define a reference tests instead, of course.
Comment 43 Javier Fernandez 2017-12-11 06:19:00 PST
Created attachment 328963 [details]
Patch

Replace pixel tests by reference tests.
Comment 44 Build Bot 2017-12-11 07:15:44 PST
Comment on attachment 328963 [details]
Patch

Attachment 328963 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5614393

New failing tests:
fast/inline-block/baseline-vertical-08.html
fast/backgrounds/background-leakage-transforms.html
fast/inline-block/baseline-vertical-02.html
fast/inline-block/baseline-vertical-06.html
fast/writing-mode/border-styles-vertical-lr.html
fast/inline-block/baseline-vertical-07.html
fast/inline-block/baseline-vertical-01.html
fast/inline-block/baseline-vertical-05.html
fast/inline-block/baseline-vertical-04.html
fast/inline-block/baseline-vertical-03.html
Comment 45 Build Bot 2017-12-11 07:15:46 PST
Created attachment 328966 [details]
Archive of layout-test-results from ews103 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 46 Build Bot 2017-12-11 07:27:54 PST
Comment on attachment 328963 [details]
Patch

Attachment 328963 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5614420

New failing tests:
fast/inline-block/baseline-vertical-08.html
fast/backgrounds/background-leakage-transforms.html
fast/inline-block/baseline-vertical-02.html
fast/inline-block/baseline-vertical-06.html
fast/writing-mode/border-styles-vertical-lr.html
fast/inline-block/baseline-vertical-07.html
fast/inline-block/baseline-vertical-01.html
fast/inline-block/baseline-vertical-05.html
fast/inline-block/baseline-vertical-04.html
fast/inline-block/baseline-vertical-03.html
Comment 47 Build Bot 2017-12-11 07:27:56 PST
Created attachment 328968 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 48 Build Bot 2017-12-11 07:43:12 PST
Comment on attachment 328963 [details]
Patch

Attachment 328963 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5614447

New failing tests:
fast/inline-block/baseline-vertical-08.html
fast/backgrounds/background-leakage-transforms.html
fast/inline-block/baseline-vertical-02.html
fast/inline-block/baseline-vertical-06.html
fast/writing-mode/border-styles-vertical-lr.html
fast/inline-block/baseline-vertical-07.html
fast/inline-block/baseline-vertical-01.html
fast/inline-block/baseline-vertical-05.html
fast/inline-block/baseline-vertical-04.html
fast/inline-block/baseline-vertical-03.html
Comment 49 Build Bot 2017-12-11 07:43:14 PST
Created attachment 328970 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 50 Build Bot 2017-12-11 07:55:04 PST
Comment on attachment 328963 [details]
Patch

Attachment 328963 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5614432

New failing tests:
fast/inline-block/baseline-vertical-08.html
fast/backgrounds/background-leakage-transforms.html
fast/inline-block/baseline-vertical-02.html
fast/inline-block/baseline-vertical-06.html
fast/writing-mode/border-styles-vertical-lr.html
fast/inline-block/baseline-vertical-07.html
fast/inline-block/baseline-vertical-01.html
fast/inline-block/baseline-vertical-05.html
fast/inline-block/baseline-vertical-04.html
fast/inline-block/baseline-vertical-03.html
Comment 51 Build Bot 2017-12-11 07:55:06 PST
Created attachment 328972 [details]
Archive of layout-test-results from ews112 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 52 Javier Fernandez 2017-12-11 16:12:22 PST
Created attachment 329053 [details]
Patch
Comment 53 Build Bot 2017-12-11 17:37:59 PST
Comment on attachment 329053 [details]
Patch

Attachment 329053 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5623432

New failing tests:
fast/inline-block/baseline-vertical-02.html
fast/inline-block/baseline-vertical-01.html
fast/inline-block/baseline-vertical-04.html
fast/inline-block/baseline-vertical-03.html
Comment 54 Build Bot 2017-12-11 17:38:01 PST
Created attachment 329063 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 55 Javier Fernandez 2018-01-10 06:45:10 PST
Created attachment 330898 [details]
Patch
Comment 56 Build Bot 2018-01-10 08:12:38 PST
Comment on attachment 330898 [details]
Patch

Attachment 330898 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/6020397

New failing tests:
fast/inline-block/baseline-vertical-02.html
fast/inline-block/baseline-vertical-01.html
fast/inline-block/baseline-vertical-04.html
fast/inline-block/baseline-vertical-03.html
Comment 57 Build Bot 2018-01-10 08:12:40 PST
Created attachment 330908 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 58 Build Bot 2018-01-10 14:06:28 PST
Comment on attachment 330898 [details]
Patch

Attachment 330898 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6024877

New failing tests:
http/tests/misc/slow-loading-animated-image.html
Comment 59 Build Bot 2018-01-10 14:06:30 PST
Created attachment 330959 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 60 Javier Fernandez 2018-01-15 14:44:17 PST
Created attachment 331356 [details]
Patch

Added Failure TestExppectations for ios-sim
Comment 61 Manuel Rego Casasnovas 2018-01-30 13:53:11 PST
Comment on attachment 331356 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=331356&action=review

The patch LGTM.

Just a question about border-styles-vertical-lr.html test, for the new expected files
I see color changes in the borders, is that expected?

> Source/WebCore/rendering/RenderBlockFlow.cpp:3061
> +            // InlineFlowBox::placeBoxesInBlockDirection will flip lines in
> +            // case of verticalLR mode, so we can assume verticalRL for now.

Nit: This could be just one line.

> LayoutTests/ChangeLog:30
> +        * fast/text/emphasis-overlap-expected.txt:

Nit: I believe this ChangeLog is not accurate.

> LayoutTests/platform/ios-simulator/TestExpectations:59
> +# These tests seem to fail due pixel rounding errors in the absolute positioned elements used as reference.

Nit: Shouldn't we explain that we're skipping these in the ChangeLog.
Comment 62 Javier Fernandez 2018-01-31 04:27:01 PST
Comment on attachment 331356 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=331356&action=review

>> Source/WebCore/rendering/RenderBlockFlow.cpp:3061
>> +            // case of verticalLR mode, so we can assume verticalRL for now.
> 
> Nit: This could be just one line.

ok

>> LayoutTests/ChangeLog:30
>> +        * fast/text/emphasis-overlap-expected.txt:
> 
> Nit: I believe this ChangeLog is not accurate.

Yes, it seems some files are missing from the list.

>> LayoutTests/platform/ios-simulator/TestExpectations:59
>> +# These tests seem to fail due pixel rounding errors in the absolute positioned elements used as reference.
> 
> Nit: Shouldn't we explain that we're skipping these in the ChangeLog.

ok. It'd be also good to have a bug report to point to, but I wasn't able to find a simple test case to reproduce it.
Comment 63 Javier Fernandez 2018-01-31 04:29:06 PST
(In reply to Manuel Rego Casasnovas from comment #61)
> Comment on attachment 331356 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=331356&action=review
> 
> The patch LGTM.
> 
> Just a question about border-styles-vertical-lr.html test, for the new
> expected files
> I see color changes in the borders, is that expected?

Yes, it's expected because those colors are rendered differently now in gtk+. Since the PNGs are not used unless there is a diff in the expected.txt files, we haven't noticed such color differences in the PNGs.
Comment 64 Javier Fernandez 2018-01-31 05:14:17 PST
Created attachment 332756 [details]
Patch
Comment 65 Manuel Rego Casasnovas 2018-01-31 05:51:52 PST
Comment on attachment 332756 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=332756&action=review

r=me

> Source/WebCore/rendering/RenderBlockFlow.cpp:3064
> +            if (style.isFlippedLinesWritingMode())
> +                lastBaseline = logicalHeight() - lastRootBox()->logicalBottom() + style.fontMetrics().ascent(lastRootBox()->baselineType());
> +            else
> +                lastBaseline = lastRootBox()->logicalTop() + style.fontMetrics().ascent(lastRootBox()->baselineType());

Nit: Maybe we can write this like:

    lastBaseline = style.isFlippedLinesWritingMode() ? logicalHeight() - lastRootBox()->logicalBottom() : lastRootBox()->logicalTop();
    lastBaseline += style.fontMetrics().ascent(lastRootBox()->baselineType());
Comment 66 Javier Fernandez 2018-01-31 06:31:41 PST
Created attachment 332759 [details]
Patch
Comment 67 Javier Fernandez 2018-01-31 09:36:15 PST
Created attachment 332769 [details]
Patch
Comment 68 Build Bot 2018-01-31 11:57:34 PST
Comment on attachment 332769 [details]
Patch

Attachment 332769 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/6295278

New failing tests:
fast/writing-mode/text-orientation-basic.html
Comment 69 Build Bot 2018-01-31 11:57:46 PST
Created attachment 332790 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 70 Javier Fernandez 2018-01-31 12:39:31 PST
Created attachment 332794 [details]
Patch
Comment 71 WebKit Commit Bot 2018-01-31 17:56:59 PST
Comment on attachment 332794 [details]
Patch

Clearing flags on attachment: 332794

Committed r227947: <https://trac.webkit.org/changeset/227947>
Comment 72 WebKit Commit Bot 2018-01-31 17:57:02 PST
All reviewed patches have been landed.  Closing bug.
Comment 73 Radar WebKit Bug Importer 2018-01-31 18:02:32 PST
<rdar://problem/37096952>
Comment 74 Matt Lewis 2018-02-01 11:08:06 PST
Test that were introduced with this patch:
  fast/inline-block/baseline-vertical-01.html 
  fast/inline-block/baseline-vertical-02.html 
  fast/inline-block/baseline-vertical-03.html
  fast/inline-block/baseline-vertical-04.html

are showing up as ImageOnlyFailures on iOS simulator.

Looks like you intended to mark them as failing for iOS Simulator. Judging by the EWS output, it should have been marked [ ImageOnlyFailure ] instead of just failure. Went ahead and fixed it for you in:
https://trac.webkit.org/changeset/227975/webkit